For the complete documentation index, see llms.txt. This page is also available as Markdown.

Generate Request

Generate Request

post

Generate a new Certificate Request.

Body

Generate a certificate request

namestring · nullableRequired

The name of the target Certificate.

siteIdinteger · int32Optional

Site ID in which to add the Certificate.

descriptionstring · nullableOptional

A user-defined Certificate description.

usagestring[Flag] · enumOptional

Certificate Usage Certificate Usage

Possible values:
enabledbooleanOptional

Whether to enable or disable the certificate being created.

keySizestring · enumOptional

Certificate Key Size Certificate Key Size

Possible values:
countryCodestring · nullableOptional

The Country Code for the certificate to be generated. By default, the country code from the PowerShell region information is used.

fullStateOrProvincestring · nullableOptional

The Full State or Province for the certificate to be generated.

citystring · nullableOptional

The City for the certificate to be generated.

organisationstring · nullableOptional

The Organisation for the certificate to be generated.

organisationUnitstring · nullableOptional

The Organisation Unit for the certificate to be generated.

emailstring · nullableRequired

The Email for the certificate to be generated.

commonNamestring · nullableRequired

The Common Name for the certificate to be generated.

alternateNamesstring · min: 1 · max: 255 · nullableOptional

The Alternate Names for the certificate to be generated. eg. IP:1.2.3.4,DNS:example.com

Responses
201

Created

application/json; api-version=1.0

The Certificate

idinteger · int32Optional

ID of the object.

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

statusstring · enumOptional

Certificate Status Certificate Status

Possible values:
publicKeystring · nullableOptional

The public key.

expirationDatestring · date-time · nullableOptional

The expiration date of the certificate.

keySizestring · enumOptional

Certificate Key Size Certificate Key Size

Possible values:
commonNamestring · nullableOptional

The common name of the certificate.

namestring · nullableOptional

Certificate Name.

siteIdinteger · int32Optional

ID of the site.

enabledbooleanOptional

Whether the certificate is enabled or not.

typestring · enumOptional

Certificate Type Certificate Type

Possible values:
usagestring[Flag] · enumOptional

Certificate Usage Certificate Usage

Possible values:
intermediatestring · nullableOptional

The intermediate.

requeststring · nullableOptional

The certificate request.

descriptionstring · nullableOptional

The description of the certificate.

alternateNamesstring · nullableOptional

The alternate names of the certificate.

post/api/Certificates/GenerateRequest
POST /api/Certificates/GenerateRequest HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 403

{
  "name": "text",
  "siteId": 1,
  "description": "text",
  "usage": [
    "0 = None",
    "2 = Gateway",
    "4 = HALB"
  ],
  "enabled": true,
  "keySize": [
    "0 = KeySize1024",
    "1 = KeySize2048",
    "2 = KeySize4096",
    "3 = KeySize3072",
    "4 = KeySize521",
    "255 = KeySizeUnknown"
  ],
  "countryCode": "text",
  "fullStateOrProvince": "text",
  "city": "text",
  "organisation": "text",
  "organisationUnit": "text",
  "email": "text",
  "commonName": "text",
  "alternateNames": "text"
}
{
  "id": 1,
  "adminCreate": "text",
  "adminLastMod": "text",
  "timeCreate": "2026-01-01T00:00:00.000Z",
  "timeLastMod": "2026-01-01T00:00:00.000Z",
  "status": [
    "0 = Valid",
    "1 = Expiring",
    "2 = Expired",
    "3 = InProgress",
    "4 = Revoked",
    "5 = Issuing",
    "6 = IssuingFailed",
    "7 = Renewing",
    "8 = RenewingFailed",
    "9 = Revoking",
    "10 = RevokingFailed"
  ],
  "publicKey": "text",
  "expirationDate": "2026-01-01T00:00:00.000Z",
  "keySize": [
    "0 = KeySize1024",
    "1 = KeySize2048",
    "2 = KeySize4096",
    "3 = KeySize3072",
    "4 = KeySize521",
    "255 = KeySizeUnknown"
  ],
  "commonName": "text",
  "name": "text",
  "siteId": 1,
  "enabled": true,
  "type": [
    "0 = SelfSigned",
    "1 = Request",
    "2 = Imported",
    "3 = LetsEncrypt"
  ],
  "usage": [
    "0 = None",
    "2 = Gateway",
    "4 = HALB"
  ],
  "intermediate": "text",
  "request": "text",
  "description": "text",
  "alternateNames": "text"
}

Last updated